#//////////////////////////////////////////////////////////////////////////////
#//
#//  CreateAsUser.pl
#//  Win32::AdminMisc Perl extension test script to verify impersonation functions
#//  are working correctly.
#//
#//  Copyright (c) 1998-2003 Dave Roth
#//  Courtesy of Roth Consulting
#//  http://www.roth.net/
#//
#//  This file may be copied or modified only under the terms of either 
#//  the Artistic License or the GNU General Public License, which may 
#//  be found in the Perl 5.0 source kit.
#//
#//  2003.06.17  :Date
#//  20030617    :Version
#//////////////////////////////////////////////////////////////////////////////

use Win32::AdminMisc;


$Domain = ".";
$User = "administrator";
$Password = "xx";
$Flag = LOGON32_LOGON_NETWORK;

$Result = Win32::AdminMisc::LogonAsUser( $Domain, $User, $Password, $Flag );

$Result = Win32::AdminMisc::CreateProcessAsUser( 'cmd.exe', flags=>CREATE_NEW_CONSOLE );

print "Finished.\n";