#//////////////////////////////////////////////////////////////////////////////
#//
#//  Switch.pl
#//  Win32::AdminMisc Perl extension test script to verify desktop switching
#//  functions are working correctly.
#//
#//  Copyright (c) 1998-2003 Dave Roth
#//  Courtesy of Roth Consulting
#//  http://www.roth.net/
#//
#//  This file may be copied or modified only under the terms of either 
#//  the Artistic License or the GNU General Public License, which may 
#//  be found in the Perl 5.0 source kit.
#//
#//  2003.07.14  :Date
#//  20030714    :Version
#//////////////////////////////////////////////////////////////////////////////

use Win32::AdminMisc;

$Desktop = "Default" unless( $Desktop = $ARGV[0] );

if( Win32::AdminMisc::SwitchDeskTop( $Desktop ) )
{
    print "Successfuly switched to '$Desktop'.\n";
}
else
{
    print "Failed to switch to '$Desktop'.\n";
}
