#//////////////////////////////////////////////////////////////////////////////
#//
#//  GetDriveSpace.pl
#//  Win32::AdminMisc Perl extension test script to verify drive space functions
#//  are working correctly.
#//
#//  Copyright (c) 1998-2003 Dave Roth
#//  Courtesy of Roth Consulting
#//  http://www.roth.net/
#//
#//  This file may be copied or modified only under the terms of either 
#//  the Artistic License or the GNU General Public License, which may 
#//  be found in the Perl 5.0 source kit.
#//
#//  2003.06.17  :Date
#//  20030617    :Version
#//////////////////////////////////////////////////////////////////////////////

use Win32::AdminMisc;

$Drive = 'c:\\';
($Total, $Free) = Win32::AdminMisc::GetDriveSpace( $Drive );

@Out = `dir $Drive`;

($StandardFree) = ( $Out[$#Out] =~ /\s+([\d,]+)\s+byte(s)? free/i );
$StandardFree =~ s/,//g;

print "not " if( $Free != $StandardFree );
print "ok\n";
